Subject: Re: Re* git-remote SEGV on t5505 test.

From: SungHyun Nam <[email-masked]>
Date: Fri, 18 Jul 2008 18:07:49 +0900

Junio C Hamano wrote:
> Junio C Hamano <[email-masked]> writes:
> 
>> SungHyun Nam <[email-masked]> writes:
>>
>>>     Is it possible that we can use 'SHELL_PATH' here?
>> It is not just possible but we really should.  There are other test
>> scripts that use hardcoded /bin/sh, but by setting SHELL_PATH the user is
>> already telling us that what the vendor has in /bin/sh isn't adequately
>> POSIX enough, and we really should try to honor that.
>>
>> "git grep -n /bin/sh t/t*sh | grep -v ':1:#!'" would tell you which ones
>> are suspect.
> 
> SungHyun, I did not test this patch myself (all my shells grok $() command
> substitutions), so I won't be committing this until/unless I see a "tested
> on system X and works fine".

I tested it on Solaris and works fine. ^^

$ uname -sro
SunOS 5.9 Solaris

$ SHELL_PATH=/bin/bash bash ./t9001-send-email.sh
*   ok 1: prepare reference tree
*   ok 2: Setup helper tool
*   ok 3: Extract patches
*   ok 4: Send patches
*   ok 5: Verify commandline
*   ok 6: Show all headers
*   ok 7: reject long lines
*   ok 8: no patch was sent
*   ok 9: allow long lines with --no-validate
*   ok 10: Invalid In-Reply-To
*   ok 11: Valid In-Reply-To when prompting
*   ok 12: setup fake editor
*   ok 13: --compose works
*   ok 14: first message is compose text
*   ok 15: second message is patch
*   ok 16: sendemail.cc set
*   ok 17: sendemail.cc unset
*   ok 18: --compose adds MIME for utf8 body
*   ok 19: --compose respects user mime type
*   ok 20: --compose adds MIME for utf8 subject
* passed all 20 test(s)